<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.205
Name: Assessment Section
Description: Assessment Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000">
   <title>Assessment Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]
Item: (AssessmentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]"
         id="tmp-r-96db8fdf-3440-4879-a914-ae4b8204e1b1">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'])&gt;=1 ">(AssessmentSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'])&lt;=1">(AssessmentSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(AssessmentSection): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(AssessmentSection): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="count(hl7:title)&gt;=1 ">(AssessmentSection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="count(hl7:title)&lt;=1">(AssessmentSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AssessmentSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="count(hl7:text)&lt;=1">(AssessmentSection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:templateId
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:templateId"
         id="tmp-r-a03c1c2b-10ed-4fc5-9994-cebedf88760a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.205'">(AssessmentSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.205' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-d53181a1-4558-41cf-a7f7-e1729c702d7d">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="@nullFlavor or (@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')">(AssessmentSection): de elementwaarde MOET zijn code '51848-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:title
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:title"
         id="tmp-r-991414de-f7a2-4f4b-a556-d9b29e7ceecb">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="text()='Beoordeling'">(AssessmentSection): de element content van hl7:title MOET ''Beoordeling'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:text
Item: (AssessmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:text"
         id="tmp-r-2e2b1314-c1e7-449e-a0b5-529b644bc585">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.333']]]
Item: (AssessmentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.333']]]"
         id="tmp-r-478617df-9234-42e3-bf7f-79cee86a9e8f">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]
Item: (AssessmentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]"
         id="tmp-r-74030261-dba2-4dd7-9576-469a7fdf788b">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
