<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.321
Name: Intubation of colon
Description: Template: Intubatie tijd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000">
   <title>Intubation of colon</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]
Item: (Intubationofcolon)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]"
         id="tmp-r-2187d21d-2594-4b73-9789-790d4717b936">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@classCode)='PROC'">(Intubationofcolon): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Intubationofcolon): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'])&gt;=1 ">(Intubationofcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'])&lt;=1">(Intubationofcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Intubationofcolon): element hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Intubationofcolon): element hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Intubationofcolon): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Intubationofcolon): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Intubationofcolon): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:templateId
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:templateId"
         id="tmp-r-4c82a288-cc39-40d9-9ded-853d91b79ef4">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.321'">(Intubationofcolon): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.321' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-626d6001-6939-4b48-b1be-fb89c23bfd78">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or (@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')">(Intubationofcolon): de elementwaarde MOET zijn code '84391005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:text
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:text"
         id="tmp-r-11e0d824-c0a0-4835-85da-f402e1330ada">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Intubationofcolon): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Intubationofcolon): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:text/hl7:reference
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:text/hl7:reference"
         id="tmp-r-b67e8120-ba80-47ee-9c86-ef8cda64314c">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:effectiveTime
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:effectiveTime"
         id="tmp-r-2efe33f4-e631-4948-8f6e-39db0571525e">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:width)&gt;=1 and not(hl7:width/@nullFlavor)">(Intubationofcolon): element hl7:width is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:width)&lt;=1">(Intubationofcolon): element hl7:width komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:effectiveTime/hl7:width
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:effectiveTime/hl7:width"
         id="tmp-r-58bdbe89-9b2e-4927-b4d5-b8ca5d5bfb8a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(@nullFlavor or (@unit='min'))">(Intubationofcolon): value MOET eenheid 'min' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="$digitok or @nullFlavor">(Intubationofcolon): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Intubationofcolon): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
