<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.345
Name: Total number of lesions
Description: Template: Totaal aantal gedetecteerde poliepen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000">
   <title>Total number of lesions</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.345
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]
Item: (Totalnumberoflesions)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.345
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]
Item: (Totalnumberoflesions)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]"
         id="tmp-r-7f7d2551-e940-452f-9134-61b8717b62fe">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="string(@classCode)='OBS'">(Totalnumberoflesions): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="string(@moodCode)='EVN'">(Totalnumberoflesions): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345'])&gt;=1 ">(Totalnumberoflesions): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345'])&lt;=1">(Totalnumberoflesions): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="count(hl7:code[(@code='300579006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='300579006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Totalnumberoflesions): element hl7:code[(@code='300579006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="count(hl7:code[(@code='300579006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Totalnumberoflesions): element hl7:code[(@code='300579006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Totalnumberoflesions): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="count(hl7:value)&lt;=1">(Totalnumberoflesions): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.345
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:templateId
Item: (Totalnumberoflesions)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:templateId"
         id="tmp-r-279821a8-1a2a-48d3-9c60-a7774d65b4bf">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Totalnumberoflesions): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.345'">(Totalnumberoflesions): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.345' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.345
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:code[(@code='300579006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Totalnumberoflesions)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:code[(@code='300579006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-02300d61-0020-49f7-b0f2-a651fc358f66">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Totalnumberoflesions): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="@nullFlavor or (@code='300579006' and @codeSystem='2.16.840.1.113883.6.96')">(Totalnumberoflesions): de elementwaarde MOET zijn code '300579006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.345
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:value
Item: (Totalnumberoflesions)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.345']]/hl7:value"
         id="tmp-r-1575898a-1276-4940-b166-ccced5f3ff84">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Totalnumberoflesions): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140224T161523/tmp-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.html"
              test="$digitok or @nullFlavor">(Totalnumberoflesions): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
